From 3709c41faf9da02485d5b20214a0a2c3b1c2f0a5 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 17 Aug 2017 12:39:20 -0400
Subject: [PATCH 2/6] Remove our own definition of NULL

Surely everyone has that by now.
---
 src/include/c.h | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

diff --git a/src/include/c.h b/src/include/c.h
index af799dc1df..c28534bc88 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -27,7 +27,7 @@
  *	  -------	------------------------------------------------
  *		0)		pg_config.h and standard system headers
  *		1)		hacks to cope with non-ANSI C compilers
- *		2)		bool, true, false, TRUE, FALSE, NULL
+ *		2)		bool, true, false, TRUE, FALSE
  *		3)		standard system types
  *		4)		IsValid macros for system types
  *		5)		offsetof, lengthof, endof, alignment
@@ -184,7 +184,7 @@
 #endif
 
 /* ----------------------------------------------------------------
- *				Section 2:	bool, true, false, TRUE, FALSE, NULL
+ *				Section 2:	bool, true, false, TRUE, FALSE
  * ----------------------------------------------------------------
  */
 
@@ -221,14 +221,6 @@ typedef bool *BoolPtr;
 #define FALSE	0
 #endif
 
-/*
- * NULL
- *		Null pointer.
- */
-#ifndef NULL
-#define NULL	((void *) 0)
-#endif
-
 
 /* ----------------------------------------------------------------
  *				Section 3:	standard system types
-- 
2.14.1

